# Generated from strain-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name strain

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A Rails engine for quickly specifying and managing basic structured content
License: MIT
URL: https://github.com/adamworrall/strain
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec-rails) >= 3.3
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(factory_girl_rails) >= 4.5
# BuildRequires: rubygem(factory_girl_rails) < 5
# BuildRequires: rubygem(rb-fsevent) >= 0.9
# BuildRequires: rubygem(rb-fsevent) < 1
# BuildRequires: rubygem(guard-rspec) >= 4.6
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(terminal-notifier-guard) >= 1.6
# BuildRequires: rubygem(terminal-notifier-guard) < 2
BuildArch: noarch

%description
A Rails engine for quickly specifying and managing basic structured content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.2-1
- Initial package
